Versioning - AWS Elemental Conductor Live 3

This is version 3.19 of the AWS Elemental Conductor Live 3 documentation. This is the latest version. For prior versions, see the Previous Versions section of AWS Elemental Conductor Live 3 Documentation.

Versioning

Compatibility between XML and AWS Elemental Conductor Live 3 Client

Starting with version 3.0.3, Conductor can accept XML that was generated using a software release that is up to 2 versions older.

When submitting a request, specify the version of the XML in the header of the request; see above. When the version is included, the contents of the XML is checked:

  • If there are elements that are required in the current version of the client and they are not in the XML, the client adds them and assigns the default value.

  • If there are elements that are not understood by the current version of Conductor, AWS Elemental Live, or AWS Elemental Statmux, the request is rejected.

Compatibility between Conductor and AWS Elemental Live/Statmux

Each Conductor version is compatible with a specific range of AWS Elemental Live or AWS Elemental Statmux versions. For example, an AWS Conductor version 3.6.x is compatible with AWS Elemental Live API version 2.13.x for any x.